Bug 974563 - Auto Scaling does not work for JBossAS applications
Auto Scaling does not work for JBossAS applications
Status: CLOSED INSUFFICIENT_DATA
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 08:45 EDT by Zhe Wang
Modified: 2015-05-14 19:21 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-17 05:44:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zhe Wang 2013-06-14 08:45:39 EDT
Description of problem:
Given a scaling JBossAS application, it will not be scaled up even if establishing more than 20 parallel connections to the app

Version-Release number of selected component (if applicable):
devenv_3360

How reproducible:
always

Steps to Reproduce:
1. create a scaling jbossas application
rhc app create sas jbossas-7 -s

2. SSH into this app, make sure its haproxy_ctld is running and tail its scaling_events log
tail -f haproxy/logs/scaling_events.log

3. open another terminal and establish more than 20 connections to this app
ab -C 200 -t 60 <app_url>

Actual results:
The scaling_events log is not updated with scaling-up information. Moreover, when monitoring the app's haproxy-status page, no gear is scaled up.


Expected results:
Auto scaling should be working for JBossAS applications.

Additional info:
Comment 1 Mrunal Patel 2013-06-14 15:31:26 EDT
I wasn't able to reproduce the issue. Here are some logs:

[root@ip-10-98-69-199 ~]# ab -c 100 -n 20000 http://jbsc1-testbz.dev.rhcloud.com/
This is ApacheBench, Version 2.3 <$Revision: 655654 $>
Copyright 1996 Adam Twiss, Zeus Technology Ltd, http://www.zeustech.net/


[jbsc1-testbz.dev.rhcloud.com 173943302481737865494528]\> head -n 20 haproxy/logs/scale_events.log 
# Logfile created on 2013-06-14 14:05:16 -0400 by logger.rb/31641
E, [2013-06-14T14:05:16.259630 #31275] ERROR -- : Failed to get information from haproxy
I, [2013-06-14T14:05:32.931466 #32100]  INFO -- : Starting haproxy_ctld
D, [2013-06-14T14:05:32.932860 #32100] DEBUG -- : GEAR_INFO - capacity: 0.0% gear_count: 1 sessions: 0 up/remove_thresh: 90.0%/1.0% sec_left_til_remove: 120 gear_remove_thresh: 0/20
I, [2013-06-14T14:05:44.833756 #32206]  INFO -- : Starting haproxy_ctld
D, [2013-06-14T14:05:44.835114 #32206] DEBUG -- : GEAR_INFO - capacity: 0.0% gear_count: 1 sessions: 0 up/remove_thresh: 90.0%/1.0% sec_left_til_remove: 120 gear_remove_thresh: 0/20
I, [2013-06-14T14:07:30.236106 #32206]  INFO -- : GEAR_UP - capacity: 137.5% gear_count: 1 sessions: 22 up_thresh: 90.0%

Could you try reproducing?
Comment 2 Zhe Wang 2013-06-17 05:44:35 EDT
I have closed this bug since I was not able to recreate this bug in devenv_3368 (the bug had been acked by two of my colleagues when I reported it) and I suppose the failure of auto scaling could be caused by some environmental factors, like proxy. Will reopen it if I can figure out the root cause.

Thanks,
Zhe Wang

Note You need to log in before you can comment on or make changes to this bug.